Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.generators
Class KDF1BytesGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.BaseKDFBytesGenerator
          org.bouncycastle.crypto.generators.KDF1BytesGenerator

All Implemented Interfaces:
  DerivationFunction

    public class KDF1BytesGenerator

extends BaseKDFBytesGenerator

KDF1 generator for derived keys and ivs as defined by IEEE P1363a/ISO 18033
This implementation is based on ISO 18033/IEEE P1363a.

Constructor Summary
`KDF1BytesGenerator(Digest digest)` Construct a KDF1 byte generator.

Method Summary

Methods inherited from class org.bouncycastle.crypto.generators.BaseKDFBytesGenerator
`generateBytes, getDigest, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KDF1BytesGenerator

    public KDF1BytesGenerator(Digest digest)

  Construct a KDF1 byte generator.

  Parameters:
    `digest` - the digest to be used as the source of derived keys.

Bouncy Castle Cryptography Library 1.45